## org.eclipse.emf.ant.taskdefs.codegen
Class JMergerTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.eclipse.emf.ant.taskdefs.EMFTask
                  org.eclipse.emf.ant.taskdefs.codegen.JMergerTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class JMergerTask

extends EMFTask

Exposes some functionalities available on the `JMerger` class.

This task is supposed to be executed by a Eclipse driver with the org.eclipse.emf.ant plugin. It is neither necessary to use Ant's task `TaskDef` to declare this task in a script nor to change the Ant's runtime classpath.

The following command line will start a headless Eclipse instance and run the specified Ant script.

eclipseDir/eclipse -noSplash -data worspaceDir -application org.eclipse.ant.core.antRunner -buildfile antScript

In Windows you should execute eclipsec instead of eclipse in order to have access to the Ant build script console output.

You can also use the Eclipse UI to execute an Ant script containing this task by right-clicking the script and selecting Run As > Ant Build... > JRE > "Run in the same JRE as the workspace".

Usage examples:

     <emf.JMerger mergeXMLURI="http://www.example.com/merge.xml"
                  sourceFile="c:/java/MyClass.java"
                  targetURI="http://www.example.com/target/MyNewClass.java"/>

     <emf.JMerger mergeXMLFile="merge.xml"
                  sourceURI="http://www.example.com/source/MyClass.java"
                  targetFile="MyNewClass.java";
                  newFile="c:\MyClass.java"/>

     <emf.JMerger mergeXMLFile="c:\merge-files\merge.xml"
                  sourceFile="d:\old\MyClass.java"
                  targetFile="d:\new\MyNewClass.java";
                  newFile="MyMergedClass.java"/>

Since:
  2.1.0

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`JMergerTask()`

Method Summary
`protected void` `checkAttributes()` All the attribute checks should be performed in this method.
`protected JMerger` `createJMerger()`
`protected void` `doExecute()` Performs the task specific code.
`protected void` `invokeMerger(JMerger merger)`
`void` `setFacadeHelperClass(java.lang.String facadeHelperClass)`
`void` `setMergeXMLFile(java.io.File mergeXMLFile)`
`void` `setMergeXMLURI(java.lang.String mergeXMLURI)`
`void` `setNewFile(java.io.File newFile)`
`void` `setSourceFile(java.io.File sourceFile)`
`void` `setSourceURI(java.lang.String sourceURI)`
`void` `setTargetFile(java.io.File targetFile)`
`void` `setTargetURI(java.lang.String targetURI)`

Methods inherited from class org.eclipse.emf.ant.taskdefs.EMFTask
`assertTrue, execute, getProgressMonitor`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMergerTask

    public JMergerTask()

Method Detail

### setMergeXMLURI

    public void setMergeXMLURI(java.lang.String mergeXMLURI)

### setMergeXMLFile

    public void setMergeXMLFile(java.io.File mergeXMLFile)

### setSourceURI

    public void setSourceURI(java.lang.String sourceURI)

### setSourceFile

    public void setSourceFile(java.io.File sourceFile)

### setTargetURI

    public void setTargetURI(java.lang.String targetURI)

### setTargetFile

    public void setTargetFile(java.io.File targetFile)

### setNewFile

    public void setNewFile(java.io.File newFile)

### setFacadeHelperClass

    public void setFacadeHelperClass(java.lang.String facadeHelperClass)

### checkAttributes

    protected void checkAttributes()
                            throws org.apache.tools.ant.BuildException

  Description copied from class: `EMFTask`
  All the attribute checks should be performed in this method.

  Overrides:
    `checkAttributes` in class `EMFTask`
  Throws:
    `org.apache.tools.ant.BuildException`

### doExecute

    protected void doExecute()
                      throws java.lang.Exception

  Description copied from class: `EMFTask`
  Performs the task specific code.

  Specified by:
    `doExecute` in class `EMFTask`
  Throws:
    `java.lang.Exception`

### createJMerger

    protected JMerger createJMerger()

### invokeMerger

    protected void invokeMerger(JMerger merger)
                         throws java.io.IOException,
                                org.apache.tools.ant.BuildException

  Throws:
    `java.io.IOException`
    `org.apache.tools.ant.BuildException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.